package isi.servlet;

import java.util.Vector;

public class Carrello{
	Vector<Articolo> articoli;
	
	public Carrello(){ 
		articoli = new Vector<Articolo>();
	}
	
	public void add(Articolo a){
		articoli.add(a);
	}
	
	public void clear(){
		articoli.clear();
	}
	
	public int count(){
		int count=0;
		for(int i = 0; i<articoli.size(); i++){
			Articolo articolo = articoli.get(i);
			count += articolo.quantita;
		}
		return count;
	}
	
	public String print(){
		String txt = "";
		for(int i = 0; i<articoli.size(); i++){
			Articolo articolo = articoli.get(i);
			txt += articolo.nome + " x " + articolo.quantita + "\n";
		}
		return txt;
	}
	
}



